Package org.gitana.platform.client.platform

# Class PlatformImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.datastore.AbstractDataStoreImpl
org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl
org.gitana.platform.client.platform.PlatformImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDataStore`, `DataStore`, `Document`, `Platform`, `AccessControllable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Teamable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class PlatformImpl extends AbstractClusterDataStoreImpl implements Platform

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`PlatformImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`PermissionCheckResults`
`checkApplicationPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkDirectoryPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkDomainPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkProjectPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkRegistrarPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkRepositoryPermissions(List<PermissionCheck> list)`
Checks permissions on multiple repository/principal combinations.
`PermissionCheckResults`
`checkStackPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkVaultPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
`checkWebHostPermissions(List<PermissionCheck> list)`
`Application`
`createApplication()`
`Application`
`createApplication(com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
`createAuthenticationGrant(com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
`createAuthenticationGrant(Client client, DomainUser user)`
`BillingProviderConfiguration`
`createBillingProviderConfiguration(String providerId, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
`createClient()`
`Client`
`createClient(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
`createDirectory()`
`Directory`
`createDirectory(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
`createDomain()`
`Domain`
`createDomain(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Project`
`createProject()`
`Project`
`createProject(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
`createRegistrar()`
`Registrar`
`createRegistrar(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
`createRepository()`
Creates an empty repository on the server.
`Repository`
`createRepository(com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a repository on the server.
`Stack`
`createStack()`
`Stack`
`createStack(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
`createVault()`
`Vault`
`createVault(com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
`createWebHost()`
`WebHost`
`createWebHost(com.fasterxml.jackson.databind.node.ObjectNode object)`
`void`
`deleteAuthenticationGrant(String authenticationGrantId)`
`void`
`deleteAuthenticationGrant(AuthenticationGrant authenticationGrant)`
`void`
`deleteClient(String clientId)`
`void`
`deleteClient(Client client)`
`void`
`deleteProject(String projectId)`
`void`
`deleteProject(Project project)`
`void`
`deleteStack(String stackId)`
`void`
`deleteStack(Stack stack)`
`String`
`getOwnerRegistrarId()`
`String`
`getOwnerTenantId()`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`org.gitana.platform.support.ResultMap<Application>`
`listApplications()`
`org.gitana.platform.support.ResultMap<Application>`
`listApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`listAuthenticationGrants()`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`listAuthenticationGrants(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`listBillingProviderConfigurations()`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`listBillingProviderConfigurations(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Client>`
`listClients()`
`org.gitana.platform.support.ResultMap<Client>`
`listClients(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Directory>`
`listDirectories()`
`org.gitana.platform.support.ResultMap<Directory>`
`listDirectories(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Domain>`
`listDomains()`
`org.gitana.platform.support.ResultMap<Domain>`
`listDomains(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Project>`
`listProjects()`
`org.gitana.platform.support.ResultMap<Project>`
`listProjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registrar>`
`listRegistrars()`
`org.gitana.platform.support.ResultMap<Registrar>`
`listRegistrars(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Repository>`
`listRepositories()`
Retrieves repositories from the server as a map.
`org.gitana.platform.support.ResultMap<Repository>`
`listRepositories(org.gitana.platform.support.Pagination pagination)`
Retrieves repositories from the server as a map.
`org.gitana.platform.support.ResultMap<Stack>`
`listStacks()`
`org.gitana.platform.support.ResultMap<Stack>`
`listStacks(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Vault>`
`listVaults()`
`org.gitana.platform.support.ResultMap<Vault>`
`listVaults(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<WebHost>`
`listWebHosts()`
`org.gitana.platform.support.ResultMap<WebHost>`
`listWebHosts(org.gitana.platform.support.Pagination pagination)`
`Response`
`loadInfo()`
`org.gitana.platform.support.ResultMap<Application>`
`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Application>`
`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Client>`
`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Client>`
`queryClients(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Directory>`
`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Directory>`
`queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Domain>`
`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Domain>`
`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Project>`
`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Project>`
`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registrar>`
`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Registrar>`
`queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Repository>`
`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query)`
Performs a query over the repository index.
`org.gitana.platform.support.ResultMap<Repository>`
`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Stack>`
`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Stack>`
`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Vault>`
`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Vault>`
`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<WebHost>`
`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<WebHost>`
`queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`Application`
`readApplication(String applicationId)`
`AuthenticationGrant`
`readAuthenticationGrant(String authenticationGrantId)`
`BillingProviderConfiguration`
`readBillingProviderConfiguration(String billingProviderConfigurationId)`
`Client`
`readClient(String clientId)`
`Directory`
`readDirectory(String directoryId)`
`Domain`
`readDomain(String domainId)`
`LogEntry`
`readLogEntry(String logEntryId)`
`Directory`
`readPrimaryDirectory()`
`Domain`
`readPrimaryDomain()`
`Project`
`readProject(String projectId)`
`Registrar`
`readRegistrar(String registrarId)`
`Repository`
`readRepository(String repositoryId)`
Reads a single repository from the server.
`Stack`
`readStack(String stackId)`
`Vault`
`readVault(String domainId)`
`WebHost`
`readWebHost(String webhostId)`
`org.gitana.platform.services.reference.Reference`
`ref()`
`void`
`reload()`
Reload
`Job`
`startCreateProject(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Job`
`startCreateProject(com.fasterxml.jackson.databind.node.ObjectNode object, Map<String,String> params)`
`org.apache.http.HttpResponse`
`test(long size, long delay, int early)`
`void`
`updateAuthenticationGrant(AuthenticationGrant authenticationGrant)`
`void`
`updateClient(Client client)`
`void`
`updateProject(Project project)`
`void`
`updateStack(Stack stack)`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl

`getCluster`

### Methods inherited from class org.gitana.platform.client.datastore.AbstractDataStoreImpl

`createTeam, createTeam, delete, deleteTeam, equals, exportArchive, exportArchive, exportArchive, getACL, getACL, getAuthorityGrants, getDriver, getFactory, getId, getOwnersTeam, getRemote, getTeamableBaseUri, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, importArchive, importArchive, importArchive, listTeams, readTeam, revoke, revoke, revokeAll, revokeAll, update`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.Platform

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### PlatformImpl

public PlatformImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### ref

public org.gitana.platform.services.reference.Reference ref()

Specified by:
  `ref` in interface `Referenceable`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractDataStoreImpl`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`
Specified by:
  `reload` in class `AbstractDataStoreImpl`

### readPrimaryDomain

public Domain readPrimaryDomain()

Specified by:
  `readPrimaryDomain` in interface `Platform`

### readPrimaryDirectory

public Directory readPrimaryDirectory()

Specified by:
  `readPrimaryDirectory` in interface `Platform`

### getOwnerRegistrarId

public String getOwnerRegistrarId()

Specified by:
  `getOwnerRegistrarId` in interface `Platform`

### getOwnerTenantId

public String getOwnerTenantId()

Specified by:
  `getOwnerTenantId` in interface `Platform`

### loadInfo

public Response loadInfo()

Specified by:
  `loadInfo` in interface `Platform`

### listRepositories

public org.gitana.platform.support.ResultMap<Repository> listRepositories()
Description copied from interface: `Platform`
Retrieves repositories from the server as a map.

Specified by:
  `listRepositories` in interface `Platform`
Returns:
  a map of repository objects keyed by repository id

### listRepositories

public org.gitana.platform.support.ResultMap<Repository> listRepositories(org.gitana.platform.support.Pagination pagination)
Description copied from interface: `Platform`
Retrieves repositories from the server as a map.

Specified by:
  `listRepositories` in interface `Platform`
Parameters:
  `pagination` -
Returns:
  a map of repository objects keyed by repository id

### readRepository

public Repository readRepository(String repositoryId)
Description copied from interface: `Platform`
Reads a single repository from the server.

Specified by:
  `readRepository` in interface `Platform`
Parameters:
  `repositoryId` -
Returns:
  repository

### createRepository

public Repository createRepository()
Description copied from interface: `Platform`
Creates an empty repository on the server.

Specified by:
  `createRepository` in interface `Platform`
Returns:
  repository

### createRepository

public Repository createRepository(com.fasterxml.jackson.databind.node.ObjectNode object)
Description copied from interface: `Platform`
Creates a repository on the server.

Specified by:
  `createRepository` in interface `Platform`
Parameters:
  `object` -
Returns:
  repository

### queryRepositories

public org.gitana.platform.support.ResultMap<Repository> queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query)
Description copied from interface: `Platform`
Performs a query over the repository index.

Specified by:
  `queryRepositories` in interface `Platform`
Parameters:
  `query` -
Returns:

### queryRepositories

public org.gitana.platform.support.ResultMap<Repository> queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryRepositories` in interface `Platform`

### checkRepositoryPermissions

public PermissionCheckResults checkRepositoryPermissions(List<PermissionCheck> list)
Description copied from interface: `Platform`
Checks permissions on multiple repository/principal combinations.

Specified by:
  `checkRepositoryPermissions` in interface `Platform`
Parameters:
  `list` -
Returns:

### listLogEntries

public org.gitana.platform.support.ResultMap<LogEntry> listLogEntries()

Specified by:
  `listLogEntries` in interface `Platform`

### listLogEntries

public org.gitana.platform.support.ResultMap<LogEntry> listLogEntries(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listLogEntries` in interface `Platform`

### queryLogEntries

public org.gitana.platform.support.ResultMap<LogEntry> queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryLogEntries` in interface `Platform`

### queryLogEntries

public org.gitana.platform.support.ResultMap<LogEntry> queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryLogEntries` in interface `Platform`

### readLogEntry

public LogEntry readLogEntry(String logEntryId)

Specified by:
  `readLogEntry` in interface `Platform`

### listStacks

public org.gitana.platform.support.ResultMap<Stack> listStacks()

Specified by:
  `listStacks` in interface `Platform`

### listStacks

public org.gitana.platform.support.ResultMap<Stack> listStacks(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listStacks` in interface `Platform`

### queryStacks

public org.gitana.platform.support.ResultMap<Stack> queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryStacks` in interface `Platform`

### queryStacks

public org.gitana.platform.support.ResultMap<Stack> queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryStacks` in interface `Platform`

### readStack

public Stack readStack(String stackId)

Specified by:
  `readStack` in interface `Platform`

### createStack

public Stack createStack()

Specified by:
  `createStack` in interface `Platform`

### createStack

public Stack createStack(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createStack` in interface `Platform`

### updateStack

public void updateStack(Stack stack)

Specified by:
  `updateStack` in interface `Platform`

### deleteStack

public void deleteStack(Stack stack)

Specified by:
  `deleteStack` in interface `Platform`

### deleteStack

public void deleteStack(String stackId)

Specified by:
  `deleteStack` in interface `Platform`

### checkStackPermissions

public PermissionCheckResults checkStackPermissions(List<PermissionCheck> list)

Specified by:
  `checkStackPermissions` in interface `Platform`

### listDomains

public org.gitana.platform.support.ResultMap<Domain> listDomains()

Specified by:
  `listDomains` in interface `Platform`

### listDomains

public org.gitana.platform.support.ResultMap<Domain> listDomains(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listDomains` in interface `Platform`

### readDomain

public Domain readDomain(String domainId)

Specified by:
  `readDomain` in interface `Platform`

### createDomain

public Domain createDomain()

Specified by:
  `createDomain` in interface `Platform`

### createDomain

public Domain createDomain(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createDomain` in interface `Platform`

### queryDomains

public org.gitana.platform.support.ResultMap<Domain> queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryDomains` in interface `Platform`

### queryDomains

public org.gitana.platform.support.ResultMap<Domain> queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryDomains` in interface `Platform`

### checkDomainPermissions

public PermissionCheckResults checkDomainPermissions(List<PermissionCheck> list)

Specified by:
  `checkDomainPermissions` in interface `Platform`

### listVaults

public org.gitana.platform.support.ResultMap<Vault> listVaults()

Specified by:
  `listVaults` in interface `Platform`

### listVaults

public org.gitana.platform.support.ResultMap<Vault> listVaults(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listVaults` in interface `Platform`

### readVault

public Vault readVault(String domainId)

Specified by:
  `readVault` in interface `Platform`

### createVault

public Vault createVault()

Specified by:
  `createVault` in interface `Platform`

### createVault

public Vault createVault(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createVault` in interface `Platform`

### queryVaults

public org.gitana.platform.support.ResultMap<Vault> queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryVaults` in interface `Platform`

### queryVaults

public org.gitana.platform.support.ResultMap<Vault> queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryVaults` in interface `Platform`

### checkVaultPermissions

public PermissionCheckResults checkVaultPermissions(List<PermissionCheck> list)

Specified by:
  `checkVaultPermissions` in interface `Platform`

### listDirectories

public org.gitana.platform.support.ResultMap<Directory> listDirectories()

Specified by:
  `listDirectories` in interface `Platform`

### listDirectories

public org.gitana.platform.support.ResultMap<Directory> listDirectories(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listDirectories` in interface `Platform`

### readDirectory

public Directory readDirectory(String directoryId)

Specified by:
  `readDirectory` in interface `Platform`

### createDirectory

public Directory createDirectory()

Specified by:
  `createDirectory` in interface `Platform`

### createDirectory

public Directory createDirectory(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createDirectory` in interface `Platform`

### queryDirectories

public org.gitana.platform.support.ResultMap<Directory> queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryDirectories` in interface `Platform`

### queryDirectories

public org.gitana.platform.support.ResultMap<Directory> queryDirectories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryDirectories` in interface `Platform`

### checkDirectoryPermissions

public PermissionCheckResults checkDirectoryPermissions(List<PermissionCheck> list)

Specified by:
  `checkDirectoryPermissions` in interface `Platform`

### listApplications

public org.gitana.platform.support.ResultMap<Application> listApplications()

Specified by:
  `listApplications` in interface `Platform`

### listApplications

public org.gitana.platform.support.ResultMap<Application> listApplications(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listApplications` in interface `Platform`

### readApplication

public Application readApplication(String applicationId)

Specified by:
  `readApplication` in interface `Platform`

### createApplication

public Application createApplication()

Specified by:
  `createApplication` in interface `Platform`

### createApplication

public Application createApplication(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createApplication` in interface `Platform`

### queryApplications

public org.gitana.platform.support.ResultMap<Application> queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryApplications` in interface `Platform`

### queryApplications

public org.gitana.platform.support.ResultMap<Application> queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryApplications` in interface `Platform`

### checkApplicationPermissions

public PermissionCheckResults checkApplicationPermissions(List<PermissionCheck> list)

Specified by:
  `checkApplicationPermissions` in interface `Platform`

### listClients

public org.gitana.platform.support.ResultMap<Client> listClients()

Specified by:
  `listClients` in interface `Platform`

### listClients

public org.gitana.platform.support.ResultMap<Client> listClients(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listClients` in interface `Platform`

### queryClients

public org.gitana.platform.support.ResultMap<Client> queryClients(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryClients` in interface `Platform`

### queryClients

public org.gitana.platform.support.ResultMap<Client> queryClients(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryClients` in interface `Platform`

### readClient

public Client readClient(String clientId)

Specified by:
  `readClient` in interface `Platform`

### createClient

public Client createClient()

Specified by:
  `createClient` in interface `Platform`

### createClient

public Client createClient(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createClient` in interface `Platform`

### updateClient

public void updateClient(Client client)

Specified by:
  `updateClient` in interface `Platform`

### deleteClient

public void deleteClient(Client client)

Specified by:
  `deleteClient` in interface `Platform`

### deleteClient

public void deleteClient(String clientId)

Specified by:
  `deleteClient` in interface `Platform`

### listAuthenticationGrants

public org.gitana.platform.support.ResultMap<AuthenticationGrant> listAuthenticationGrants()

Specified by:
  `listAuthenticationGrants` in interface `Platform`

### listAuthenticationGrants

public org.gitana.platform.support.ResultMap<AuthenticationGrant> listAuthenticationGrants(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAuthenticationGrants` in interface `Platform`

### queryAuthenticationGrants

public org.gitana.platform.support.ResultMap<AuthenticationGrant> queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryAuthenticationGrants` in interface `Platform`

### queryAuthenticationGrants

public org.gitana.platform.support.ResultMap<AuthenticationGrant> queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryAuthenticationGrants` in interface `Platform`

### readAuthenticationGrant

public AuthenticationGrant readAuthenticationGrant(String authenticationGrantId)

Specified by:
  `readAuthenticationGrant` in interface `Platform`

### createAuthenticationGrant

public AuthenticationGrant createAuthenticationGrant(Client client, DomainUser user)

Specified by:
  `createAuthenticationGrant` in interface `Platform`

### createAuthenticationGrant

public AuthenticationGrant createAuthenticationGrant(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createAuthenticationGrant` in interface `Platform`

### updateAuthenticationGrant

public void updateAuthenticationGrant(AuthenticationGrant authenticationGrant)

Specified by:
  `updateAuthenticationGrant` in interface `Platform`

### deleteAuthenticationGrant

public void deleteAuthenticationGrant(AuthenticationGrant authenticationGrant)

Specified by:
  `deleteAuthenticationGrant` in interface `Platform`

### deleteAuthenticationGrant

public void deleteAuthenticationGrant(String authenticationGrantId)

Specified by:
  `deleteAuthenticationGrant` in interface `Platform`

### listRegistrars

public org.gitana.platform.support.ResultMap<Registrar> listRegistrars()

Specified by:
  `listRegistrars` in interface `Platform`

### listRegistrars

public org.gitana.platform.support.ResultMap<Registrar> listRegistrars(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listRegistrars` in interface `Platform`

### readRegistrar

public Registrar readRegistrar(String registrarId)

Specified by:
  `readRegistrar` in interface `Platform`

### createRegistrar

public Registrar createRegistrar()

Specified by:
  `createRegistrar` in interface `Platform`

### createRegistrar

public Registrar createRegistrar(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createRegistrar` in interface `Platform`

### queryRegistrars

public org.gitana.platform.support.ResultMap<Registrar> queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryRegistrars` in interface `Platform`

### queryRegistrars

public org.gitana.platform.support.ResultMap<Registrar> queryRegistrars(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryRegistrars` in interface `Platform`

### checkRegistrarPermissions

public PermissionCheckResults checkRegistrarPermissions(List<PermissionCheck> list)

Specified by:
  `checkRegistrarPermissions` in interface `Platform`

### listWebHosts

public org.gitana.platform.support.ResultMap<WebHost> listWebHosts()

Specified by:
  `listWebHosts` in interface `Platform`

### listWebHosts

public org.gitana.platform.support.ResultMap<WebHost> listWebHosts(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listWebHosts` in interface `Platform`

### readWebHost

public WebHost readWebHost(String webhostId)

Specified by:
  `readWebHost` in interface `Platform`

### createWebHost

public WebHost createWebHost()

Specified by:
  `createWebHost` in interface `Platform`

### createWebHost

public WebHost createWebHost(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createWebHost` in interface `Platform`

### queryWebHosts

public org.gitana.platform.support.ResultMap<WebHost> queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryWebHosts` in interface `Platform`

### queryWebHosts

public org.gitana.platform.support.ResultMap<WebHost> queryWebHosts(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryWebHosts` in interface `Platform`

### checkWebHostPermissions

public PermissionCheckResults checkWebHostPermissions(List<PermissionCheck> list)

Specified by:
  `checkWebHostPermissions` in interface `Platform`

### listBillingProviderConfigurations

public org.gitana.platform.support.ResultMap<BillingProviderConfiguration> listBillingProviderConfigurations()

Specified by:
  `listBillingProviderConfigurations` in interface `Platform`

### listBillingProviderConfigurations

public org.gitana.platform.support.ResultMap<BillingProviderConfiguration> listBillingProviderConfigurations(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listBillingProviderConfigurations` in interface `Platform`

### queryBillingProviderConfigurations

public org.gitana.platform.support.ResultMap<BillingProviderConfiguration> queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryBillingProviderConfigurations` in interface `Platform`

### queryBillingProviderConfigurations

public org.gitana.platform.support.ResultMap<BillingProviderConfiguration> queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryBillingProviderConfigurations` in interface `Platform`

### readBillingProviderConfiguration

public BillingProviderConfiguration readBillingProviderConfiguration(String billingProviderConfigurationId)

Specified by:
  `readBillingProviderConfiguration` in interface `Platform`

### createBillingProviderConfiguration

public BillingProviderConfiguration createBillingProviderConfiguration(String providerId, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createBillingProviderConfiguration` in interface `Platform`

### listProjects

public org.gitana.platform.support.ResultMap<Project> listProjects()

Specified by:
  `listProjects` in interface `Platform`

### listProjects

public org.gitana.platform.support.ResultMap<Project> listProjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listProjects` in interface `Platform`

### queryProjects

public org.gitana.platform.support.ResultMap<Project> queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryProjects` in interface `Platform`

### queryProjects

public org.gitana.platform.support.ResultMap<Project> queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryProjects` in interface `Platform`

### readProject

public Project readProject(String projectId)

Specified by:
  `readProject` in interface `Platform`

### createProject

public Project createProject()

Specified by:
  `createProject` in interface `Platform`

### createProject

public Project createProject(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createProject` in interface `Platform`

### startCreateProject

public Job startCreateProject(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `startCreateProject` in interface `Platform`

### startCreateProject

public Job startCreateProject(com.fasterxml.jackson.databind.node.ObjectNode object, Map<String,String> params)

Specified by:
  `startCreateProject` in interface `Platform`

### updateProject

public void updateProject(Project project)

Specified by:
  `updateProject` in interface `Platform`

### deleteProject

public void deleteProject(Project project)

Specified by:
  `deleteProject` in interface `Platform`

### deleteProject

public void deleteProject(String projectId)

Specified by:
  `deleteProject` in interface `Platform`

### checkProjectPermissions

public PermissionCheckResults checkProjectPermissions(List<PermissionCheck> list)

Specified by:
  `checkProjectPermissions` in interface `Platform`

### test

public org.apache.http.HttpResponse test(long size, long delay, int early)

Specified by:
  `test` in interface `Platform`